cmake_minimum_required(VERSION 3.6)

if(DEFINED ENV{CI_COMMIT_BRANCH})
    string(REGEX REPLACE ".*/" "" GIT_BRANCH $ENV{CI_COMMIT_BRANCH})
    string(REPLACE "_" "-" GIT_BRANCH ${GIT_BRANCH})
    if(NOT GIT_BRANCH STREQUAL "stable")
        set(GIT_VERSION_SUFFIX "${GIT_BRANCH}-")
    else()
        set(GIT_VERSION_SUFFIX "")
    endif()
else()
    set(GIT_BRANCH "dev")
    set(GIT_VERSION_SUFFIX "${GIT_BRANCH}-")
endif()

if(DEFINED ENV{CI_COMMIT_SHORT_SHA})
    set(GIT_TAG $ENV{CI_COMMIT_SHORT_SHA})
else()
    set(GIT_TAG "0000000")
endif()

set(GIT_VERSION_SUFFIX "${GIT_VERSION_SUFFIX}${GIT_TAG}")
MESSAGE(STATUS "GIT_VERSION_SUFFIX: ${GIT_VERSION_SUFFIX}")
MESSAGE(STATUS "")
